function []=plot_new(t1,t2)
format compact;
r2d = 180/pi;
d2r = pi/180;

% set the value of output to 1 to save the .eps figs
output = 1

load land_veh_data
tmp = see_code';
To = tmp(1,1)
t_ii = tmp(:,1) - To;
[dum,i1] = min(abs(t_ii-t1));
[dum,i2] = min(abs(t_ii-t2));
i1,i2
tm = t_ii(i1:i2);

F       = tmp(i1:i2,2);
Tau     = tmp(i1:i2,3);
yaw_co  = tmp(i1:i2,4)*r2d; 
u_co    = tmp(i1:i2,5);
r_co    = tmp(i1:i2,6)*r2d; 
yaw_bs  = tmp(i1:i2,7)*r2d; 
u_bs    = tmp(i1:i2,8);
r_bs    = tmp(i1:i2,9)*r2d; 
xi_x    = tmp(i1:i2,10); 
xi_y    = tmp(i1:i2,11);
xi_psi  = tmp(i1:i2,12)*r2d;
x_c     = tmp(i1:i2,13);
dxc     = tmp(i1:i2,14);
y_c     = tmp(i1:i2,15);
dyc     = tmp(i1:i2,16);
yaw_c   = fix_angle(tmp(i1:i2,17))*r2d;
dpsi_c  = tmp(i1:i2,18)*r2d;
u_c     = tmp(i1:i2,19);
duc     = tmp(i1:i2,20);
r_c     = tmp(i1:i2,21)*r2d;
drc     = tmp(i1:i2,22)*r2d;
iu_tilde= tmp(i1:i2,23);
ru_tilde= tmp(i1:i2,24)*r2d;
V_tilde = tmp(i1:i2,25);
V_nu    = tmp(i1:i2,26);
K_xy    = tmp(i1:i2,27);
psi_nu  = tmp(i1:i2,28);
x_co    = tmp(i1:i2,29);
y_co    = tmp(i1:i2,30);
u       = tmp(i1:i2,31);
r       = tmp(i1:i2,32)*r2d; 
x       = tmp(i1:i2,33);
y       = tmp(i1:i2,34);
yaw     = fix_angle(tmp(i1:i2,35))*r2d; 
clear tmp;

x_err   = x-x_c-xi_x;
y_err   = y-y_c-xi_y;
yaw_err = twopilimit(yaw-yaw_c); 
u_err   =  u - u_c;
r_err   =  r-r_c; 

x_cerr   = x-x_c;
y_cerr   = y-y_c;
yaw_cerr = psi_nu; 




fig_i = 0;

fig_i = fig_i + 1;
h = figure(fig_i);
clf
set(h, 'Name', 'Position');
subplot(211)
plot(tm,x(:,1),'b',tm,x_co(:,1),'g--',tm,x_c(:,1),'r:')
ylabel('x (m)')
xlabel('time (s)')
legend('x','x^o_c','x_c')
subplot(212)
plot(tm,y(:,1),'b',tm,y_co(:,1),'g--',tm,y_c(:,1),'r:')
ylabel('y (m)')
xlabel('time (s)')
legend('y','y^o_c','y_c')
if output == 1
    print -depsc pos.eps
end

fig_i = fig_i + 1;
h = figure(fig_i);
clf
set(h, 'Name', '2D Position');
plot(x(:,1),y(:,1),'b',x_co(:,1),y_co(:,1),'g--',x_c(:,1),y_c(:,1),'r:')
ylabel('y (m)')
xlabel('x (m)')
A = max(abs(x_c))+0.5;
B = max(abs(y_c))+0.5;
axis([-A A -B B]) 
if output == 1
    axis([0 A 0 B]) 
    print -depsc 2dpos.eps
end

fig_i = fig_i + 1;
h = figure(fig_i);
clf
set(h, 'Name', '2D2 Position');
plot(x(:,1),y(:,1),'b',x_co(:,1),y_co(:,1),'g--',x_c(:,1),y_c(:,1),'r:')
ylabel('y (m)')
xlabel('x (m)')
% A = max(abs(x_c))+0.5;
% B = max(abs(y_c))+0.5;
% axis([-A A -B B]) 
% if output == 1
%     axis([0 A 0 B]) 
%     print -depsc 2dpos2.eps
% end

fig_i = fig_i + 1;
h = figure(fig_i);
clf
set(h, 'Name', 'Yaw');
subplot(211)
plot(tm,yaw(:,1),'b',tm,yaw_co(:,1),'g--',tm,yaw_c(:,1),'r:')
ylabel('yaw (deg)')
xlabel('time (s)')
legend('yaw','yaw^o_c','yaw_c')
subplot(212)
plot(tm,yaw_bs(:,1))
ylabel('yaw_{bs} (deg)')
xlabel('time (s)')
if output == 1
    print -depsc yaw_yaw_bs.eps
end

% fig_i = fig_i + 1;
% h = figure(fig_i);
% clf
% set(h, 'Name', 'Position and Yaw Errors');
% subplot(211)
% plot(tm,x_err(:,1),'b',tm,y_err(:,1),'g--')
% ylabel('pos_{error} (m)')
% xlabel('time (s)')
% legend('x_e','y_e')
% subplot(212)
% plot(tm,yaw_err(:,1),'b')
% ylabel('yaw_{error} (deg)')
% xlabel('time (s)')
% if output == 1
%     print -depsc pos_yaw_err.eps
% end

fig_i = fig_i + 1;
h = figure(fig_i);
clf
set(h, 'Name', 'Position and Yaw Compensated Errors');
subplot(211)
plot(tm,x_cerr(:,1),'b',tm,y_cerr(:,1),'g--')
ylabel('pos_{error} (m)')
xlabel('time (s)')
legend('x_e','y_e')
subplot(212)
plot(tm,yaw_cerr(:,1),'b')
ylabel('yaw_{error} (deg)')
xlabel('time (s)')
% if output == 1
%     print -depsc pos_yaw_err_cmp.eps
% end


fig_i = fig_i + 1;
h = figure(fig_i);
clf
set(h, 'Name', 'Velocity and Yaw Rate');
subplot(211)
plot(tm,u(:,1),'b',tm,u_co(:,1),'g--',tm,u_c(:,1),'r:')
ylabel('u (m/s)')
xlabel('time (s)')
legend('u','u^o_c','u_c')
subplot(212)
plot(tm,r(:,1),'b',tm,r_co(:,1),'g--',tm,r_c(:,1),'r:')
ylabel('r (deg/s)')
xlabel('time (s)')
legend('r','r^o_c','r_c')
if output == 1
    print -depsc vel_rte.eps
end

fig_i = fig_i + 1;
h = figure(fig_i);
clf
set(h, 'Name', 'Backstepping: velocity and yaw rate');
subplot(211)
plot(tm,u_bs(:,1))
ylabel('u_{bs} (m/s)')
xlabel('time (s)')
subplot(212)
plot(tm,r_bs(:,1))
ylabel('r_{bs} (deg/s)')
xlabel('time (s)')
if output == 1
    print -depsc bs_vel_rte.eps
end

fig_i = fig_i + 1;
h = figure(fig_i);
clf
set(h, 'Name', 'Velocity and Yaw Rate Errors');
subplot(211)
plot(tm,u_err(:,1),'b')
ylabel('u_{error} (m/s)')
xlabel('time (s)')
subplot(212)
plot(tm,r_err(:,1),'b')
ylabel('r_{error} (deg/s)')
xlabel('time (s)')
if output == 0
    print -depsc vel_rte_err.eps
end

fig_i = fig_i + 1;
h = figure(fig_i);
clf
set(h, 'Name', 'Velocity and Yaw Rate Integral Errors');
subplot(211)
plot(tm,iu_tilde(:,1),'b')
ylabel('u_{ierror} (m/s)')
xlabel('time (s)')
subplot(212)
plot(tm,ru_tilde(:,1),'b')
ylabel('r_{ierror} (deg/s)')
xlabel('time (s)')
if output == 0
    print -depsc vel_rte_ierr.eps
end

fig_i = fig_i + 1;
h = figure(fig_i);
clf
set(h, 'Name', 'Lyapunov');
% subplot(211)
% plot(tm,V_tilde(:,1),'b')
% ylabel('V tilde')
% xlabel('time (s)')
% subplot(212)
plot(tm,V_nu(:,1),'b')
ylabel('V')
xlabel('time (s)')
if output == 1
    print -depsc Lyap.eps
end

fig_i = fig_i + 1;
h = figure(fig_i);
clf
set(h, 'Name', 'K_xy');
plot(tm,K_xy(:,1),'b')
ylabel('K_{xy}')
xlabel('time (s)')
axis([0 8 0.2 2.2])
if output == 1
    print -depsc K_xy.eps
end


function [y]=fix_angle(x) % ensure -pi<x<pi
j=sqrt(-1);
z = cos(x) + j*sin(x);
y = angle(z);

